package betterquesting.client.themes;

import betterquesting.api.utils.JsonHelper;
import betterquesting.api2.client.gui.themes.IGuiTheme;
import com.google.gson.JsonObject;
import java.awt.Color;
import net.minecraft.util.ResourceLocation;

/* loaded from: betterquesting_client_themes.jar:betterquesting/client/themes/LegacyThemeLoader.class */
public class LegacyThemeLoader {
    public static final LegacyThemeLoader INSTANCE = new LegacyThemeLoader();

    /* JADX INFO: Access modifiers changed from: protected */
    public IGuiTheme loadTheme(JsonObject json, String domain) {
        if (json == null) {
            return null;
        }
        String name = JsonHelper.GetString(json, "name", "Unnamed Theme");
        String texture = JsonHelper.GetString(json, "texture", "betterquesting:textures/gui/editor_gui.png");
        int tColor = JsonHelper.GetNumber(json, "textColor", Integer.valueOf(Color.BLACK.getRGB())).intValue();
        JsonObject jl = JsonHelper.GetObject(json, "lineColor");
        int lLocked = JsonHelper.GetNumber(jl, "locked", Integer.valueOf(new Color(0.75f, 0.0f, 0.0f).getRGB())).intValue();
        int lPending = JsonHelper.GetNumber(jl, "pending", Integer.valueOf(Color.YELLOW.getRGB())).intValue();
        int lComplete = JsonHelper.GetNumber(jl, "complete", Integer.valueOf(Color.GREEN.getRGB())).intValue();
        JsonObject ji = JsonHelper.GetObject(json, "iconColor");
        int iLocked = JsonHelper.GetNumber(ji, "locked", Integer.valueOf(Color.GRAY.getRGB())).intValue();
        int iPending = JsonHelper.GetNumber(ji, "pending", Integer.valueOf(new Color(0.75f, 0.0f, 0.0f).getRGB())).intValue();
        int iUnclaimed = JsonHelper.GetNumber(ji, "unclaimed", Integer.valueOf(new Color(0.0f, 1.0f, 1.0f).getRGB())).intValue();
        int iComplete = JsonHelper.GetNumber(ji, "complete", Integer.valueOf(Color.GREEN.getRGB())).intValue();
        String id = name.toLowerCase().trim().replaceAll(" ", "_");
        ResourceLocation regName = new ResourceLocation(domain + ":" + id);
        if (ThemeRegistry.INSTANCE.getTheme(regName) != null) {
            int i = 2;
            ResourceLocation resourceLocation = new ResourceLocation(domain + ":" + id + "_2");
            while (true) {
                regName = resourceLocation;
                if (ThemeRegistry.INSTANCE.getTheme(regName) == null) {
                    break;
                }
                i++;
                resourceLocation = new ResourceLocation(domain + ":" + id + "_" + i);
            }
        }
        ThemeLegacy theme = new ThemeLegacy(name, new ResourceLocation(texture), regName);
        theme.setTextColor(tColor);
        theme.setLineColors(lLocked, lPending, lComplete);
        theme.setIconColors(iLocked, iPending, iUnclaimed, iComplete);
        return theme;
    }
}
